import request from '@/utils/request'

// 查询注销登记记录列表
export function listOffrecard(query) {
  return request({
    url: '/szxc/offrecard/list',
    method: 'get',
    params: query
  })
}

// 查询注销登记记录详细
export function getOffrecard(id) {
  return request({
    url: '/szxc/offrecard/' + id,
    method: 'get'
  })
}

// 新增注销登记记录
export function addOffrecard(data) {
  return request({
    url: '/szxc/offrecard',
    method: 'post',
    data: data
  })
}

// 修改注销登记记录
export function updateOffrecard(data) {
  return request({
    url: '/szxc/offrecard',
    method: 'put',
    data: data
  })
}

// 删除注销登记记录
export function delOffrecard(id) {
  return request({
    url: '/szxc/offrecard/' + id,
    method: 'delete'
  })
}
